aboutsummaryrefslogtreecommitdiffstats
path: root/csit/start-containter.sh
diff options
context:
space:
mode:
authorliamfallon <liam.fallon@est.tech>2022-10-18 14:04:06 +0100
committerliamfallon <liam.fallon@est.tech>2022-10-18 14:04:09 +0100
commit8d3f1294010a78b5a25a115dddb2c64cf018379c (patch)
tree7cc9b4864611993d410a31361d04f7d4c19c4df3 /csit/start-containter.sh
parentb7a9c405de95315ce38b4913a1efee9bfd03fe04 (diff)
Fix CSITs for Kohn release
Newer versions of dependencies brought in some small updates to configuraiton. Also a script called start-container.sh has been added to bring up a single Policy Framework container and its dependencies. Issue-ID: POLICY-4393 Change-Id: I17bac4d75600431fdee74592be4700761a3f8fe7 Signed-off-by: liamfallon <liam.fallon@est.tech>
Diffstat (limited to 'csit/start-containter.sh')
-rwxr-xr-xcsit/start-containter.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/csit/start-containter.sh b/csit/start-containter.sh
new file mode 100755
index 00000000..3b1b167d
--- /dev/null
+++ b/csit/start-containter.sh
@@ -0,0 +1,47 @@
+# ============LICENSE_START====================================================
+# Copyright (C) 2022 Nordix Foundation.
+# =============================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END======================================================
+
+
+if [ "$#" -ne 1 ]
+then
+ echo "Usage: $0 <container-name>"
+ exit 1
+fi
+
+export PROJECT=$1
+
+if $(docker images | grep -q "onap\/policy-api")
+then
+ export CONTAINER_LOCATION=$(
+ docker images |
+ grep onap/policy-api |
+ head -1 |
+ sed 's/onap\/policy-api.*$//'
+ )
+else
+ export CONTAINER_LOCATION="nexus3.onap.org:10001/"
+fi
+
+SCRIPTS=$(git rev-parse --show-toplevel)
+export SCRIPTS="${SCRIPTS}"/csit
+
+source "${SCRIPTS}"/get-versions.sh
+
+docker-compose -f "${SCRIPTS}"/docker-compose-all.yml up $*
+
+echo "Clamp GUI: https://localhost:2445/clamp"